14e4:4315 [lenovo IdeaPad S10e] No WiFi - Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)

Bug #1385059 reported by HugoHirsch on 2014-10-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
High
Unassigned

Bug Description

With my Lenovo IdeaPad S10e, after updating to 14.10 from 14.04 the WLAN does not work anymore - the driver seems to be loaded since the hardware light flashes blue/purple, but the device is unable to connect to any WLAN. dmesg shows:
[ 1253.135793] ERROR @wl_dev_intvar_get : error (-1)
[ 1253.135805] ERROR @wl_cfg80211_get_tx_power : error (-1)

04:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11b/g LP-PHY [14e4:4315] (rev 01)
 Subsystem: Broadcom Corporation Device [14e4:04b5]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 18
 Region 0: Memory at f0200000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: wl

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: linux-image-3.16.0-23-generic 3.16.0-23.31
ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
Uname: Linux 3.16.0-23-generic i686
NonfreeKernelModules: wl
ApportVersion: 2.14.7-0ubuntu8
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: hirsch 2758 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Oct 24 08:13:35 2014
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=cef59770-4af9-4efd-b1a8-f3b9e6fdf30f
InstallationDate: Installed on 2013-01-14 (647 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017.2)
MachineType: LENOVO 40684KG
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic root=UUID=57ea19ce-b54f-4b7c-975c-b11064321210 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-23-generic N/A
 linux-backports-modules-3.16.0-23-generic N/A
 linux-firmware 1.138
SourcePackage: linux
UpgradeStatus: Upgraded to utopic on 2014-10-23 (0 days ago)
dmi.bios.date: 10/11/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 14CNA0WW
dmi.board.name: Kuril
dmi.board.vendor: Lenovo
dmi.board.version: Rev 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Lenovo
dmi.chassis.version: Rev 1.0
dmi.modalias: dmi:bvnLENOVO:bvr14CNA0WW:bd10/11/2010:svnLENOVO:pn40684KG:pvrLenovo:rvnLenovo:rnKuril:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
dmi.product.name: 40684KG
dmi.product.version: Lenovo
dmi.sys.vendor: LENOVO

HugoHirsch (ubuntubugs-aiki-it) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc1-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
HugoHirsch (ubuntubugs-aiki-it) wrote :
Download full text (4.9 KiB)

Thanks for pointing me to the Mainline Builds. When I tried to install
"linux-headers-3.18.0-031800rc1-generic_3.18.0-031800rc1.201410192135_i386.deb" et.al. I ran into the problem described in #1358966.

I'm not sure if the proposed patch would help to solve my problem - after further debugging it seems that the pure hardware itself seems to be recognized, but a wireless network connection cannot be established:

<log>
Oct 24 22:35:04 box NetworkManager[804]: <info> Activation (wlan0)
Stage 2 of 5 (Device Configure) starting...
Oct 24 22:35:04 box NetworkManager[804]: <info> (wlan0): device
state change: prepare -> config (reason 'none') [40 50 0]
Oct 24 22:35:04 box NetworkManager[804]: <info> Activation
(wlan0/wireless): connection 'SSID' has security, and secrets
exist. No new secrets needed.
Oct 24 22:35:04 box NetworkManager[804]: <info> Config: added
'ssid' value 'SSID'
Oct 24 22:35:04 box NetworkManager[804]: <info> Config: added
'scan_ssid' value '1'
Oct 24 22:35:04 box NetworkManager[804]: <info> Config: added
'key_mgmt' value 'WPA-PSK'
Oct 24 22:35:04 box NetworkManager[804]: <info> Config: added 'psk'
value '<omitted>'
Oct 24 22:35:04 box NetworkManager[804]: <info> Activation (wlan0)
Stage 2 of 5 (Device Configure) complete.
Oct 24 22:35:04 box NetworkManager[804]: <info> Config: set
interface ap_scan to 1
Oct 24 22:35:05 box NetworkManager[804]: <info> (wlan0): supplicant
interface state: inactive -> scanning
Oct 24 22:35:30 box NetworkManager[804]: <warn> Activation
(wlan0/wireless): association took too long, failing activation.
Oct 24 22:35:30 box NetworkManager[804]: <info> (wlan0): device
state change: config -> failed (reason 'SSID not found') [50 120 53]
Oct 24 22:35:30 box NetworkManager[804]: <info> NetworkManager
state is now DISCONNECTED
Oct 24 22:35:30 box NetworkManager[804]: <warn> Activation (wlan0)
failed for connection 'SSID'
Oct 24 22:35:30 box NetworkManager[804]: <info> (wlan0): device
state change: failed -> disconnected (reason 'none') [120 30 0]
Oct 24 22:35:30 box NetworkManager[804]: <info> (wlan0):
deactivating device (reason 'none') [0]
Oct 24 22:35:30 box NetworkManager[804]: <info> (wlan0): supplicant
interface state: scanning -> disconnected
Oct 24 22:35:30 box NetworkManager[804]: <warn> Couldn't disconnect
supplicant interface: This interface is not connected.
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
starting connection 'HOME'
Oct 24 22:36:09 box NetworkManager[804]: <info> (wlan0): device
state change: disconnected -> prepare (reason 'none') [30 40 0]
Oct 24 22:36:09 box NetworkManager[804]: <info> NetworkManager
state is now CONNECTING
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
Stage 1 of 5 (Device Prepare) scheduled...
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
Stage 1 of 5 (Device Prepare) started...
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
Stage 2 of 5 (Device Configure) scheduled...
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
Stage 1 of 5 (Device Prepare) complete.
Oct 24 22:36:09 box NetworkManager[804]: <info> Activation (wlan0)
Stage 2 of 5 (Device Configure) startin...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-unable-to-test-upstream
HugoHirsch (ubuntubugs-aiki-it) wrote :

https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1358966
seems to be related to the syntax errors during kernel installation.

HugoHirsch, if you switch to the open source b43 driver, does this provide a WORKAROUND?

Also, what was the last release that the wireless worked in?

As well, in the working release were you using the proprietary wl driver and/or the open source b43?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - no wlan on lenovo s10e - Broadcom Corporation BCM4312 802.11b/g LP-PHY
- (rev 01)
+ 14e4:4315 [lenovo IdeaPad S10e] No WiFi - Broadcom Corporation BCM4312
+ 802.11b/g LP-PHY (rev 01)
HugoHirsch (ubuntubugs-aiki-it) wrote :
Download full text (11.6 KiB)

I've used the wl driver with the current kernel. After installing and switching to b43 I'm able to connect, but the connection gets lost after some seconds:

Oct 27 21:48:26 box NetworkManager[890]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Oct 27 21:48:26 box NetworkManager[890]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Oct 27 21:48:26 box NetworkManager[890]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Oct 27 21:48:26 box NetworkManager[890]: <info> Activation (wlan0/wireless): connection 'HOME' has security, and secrets exist. No new secrets needed.
Oct 27 21:48:26 box NetworkManager[890]: <info> Config: added 'ssid' value 'SSID'
Oct 27 21:48:26 box NetworkManager[890]: <info> Config: added 'scan_ssid' value '1'
Oct 27 21:48:26 box NetworkManager[890]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Oct 27 21:48:26 box NetworkManager[890]: <info> Config: added 'psk' value '<omitted>'
Oct 27 21:48:26 box NetworkManager[890]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Oct 27 21:48:26 box NetworkManager[890]: <info> Config: set interface ap_scan to 1
Oct 27 21:48:26 box wpa_supplicant[1062]: wlan0: Reject scan trigger since one is already pending
Oct 27 21:48:26 box wpa_supplicant[1062]: wlan0: Failed to initiate AP scan
Oct 27 21:48:27 box wpa_supplicant[1062]: wlan0: Reject scan trigger since one is already pending
Oct 27 21:48:27 box wpa_supplicant[1062]: wlan0: Failed to initiate AP scan
Oct 27 21:48:28 box wpa_supplicant[1062]: wlan0: Reject scan trigger since one is already pending
Oct 27 21:48:28 box wpa_supplicant[1062]: wlan0: Failed to initiate AP scan
Oct 27 21:48:29 box wpa_supplicant[1062]: wlan0: Reject scan trigger since one is already pending
Oct 27 21:48:29 box wpa_supplicant[1062]: wlan0: Failed to initiate AP scan
Oct 27 21:48:30 box wpa_supplicant[1062]: wlan0: SME: Trying to authenticate with 00:04:0e:75:4c:a5 (SSID='SSID' freq=2472 MHz)
Oct 27 21:48:30 box kernel: [ 808.055439] wlan0: authenticate with 00:04:0e:75:4c:a5
Oct 27 21:48:30 box kernel: [ 808.057281] wlan0: send auth to 00:04:0e:75:4c:a5 (try 1/3)
Oct 27 21:48:30 box kernel: [ 808.062178] wlan0: authenticated
Oct 27 21:48:30 box NetworkManager[890]: <info> (wlan0): supplicant interface state: disconnected -> authenticating
Oct 27 21:48:35 box kernel: [ 813.060268] wlan0: aborting authentication with 00:04:0e:75:4c:a5 by local choice (Reason: 3=DEAUTH_LEAVING)
Oct 27 21:48:35 box wpa_supplicant[1062]: wlan0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="SSID" auth_failures=1 duration=10
Oct 27 21:48:35 box NetworkManager[890]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Oct 27 21:48:45 box NetworkManager[890]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Oct 27 21:48:51 box NetworkManager[890]: <warn> Activation (wlan0/wireless): association took too long, failing activation.
Oct 27 21:48:51 box NetworkManager[890]: <info> (wlan0): device state change: config -> failed (reason 'SSID not found') [50 120 53]
Oct 27 21:48:51 box NetworkManager[890]: <warn> Activation (wlan0) failed for connection ...

HugoHirsch, just to clarify, when you were using Trusty and it worked, which driver were you using specifically wl and/or b43?

HugoHirsch (ubuntubugs-aiki-it) wrote :

Christopher, wl, since I do not recall to have manually installed b43.

affects: linux (Ubuntu) → bcmwl (Ubuntu)
Changed in bcmwl (Ubuntu):
importance: Medium → High
status: Incomplete → New
tags: added: regression-release

HugoHirsch, the issue you are reporting is an upstream one. Could you please report this to Broadcom following https://help.ubuntu.com/community/WifiDocs/Driver/bcm43xx ?

As well, regarding b43 not working, please feel free to file a new report following the instructions in the previously mentioned article and subscribe me to it.

tags: added: latest-bios-14cna0ww
removed: kernel-unable-to-test-upstream
description: updated
description: updated
Changed in bcmwl (Ubuntu):
status: New → Triaged
Download full text (3.2 KiB)

Sorry for the long delay - when working on upstream kernel testing with
3.19.0-031900.201502091451 i386/32bit
to confirm bug 1422513 I realized that the internal Broadcom chip works fine after uninstalling
bcmwl-kernel-source and running with above kernel.

b43 seems to do fine in that case as lsmod indicates:

Module Size Used by
nfnetlink_queue 17963 0
nfnetlink_log 17665 0
nfnetlink 14324 2 nfnetlink_log,nfnetlink_queue
ctr 13025 1
ccm 17562 1
dm_crypt 22836 1
snd_hda_codec_realtek 68841 1
snd_hda_codec_generic 63667 1 snd_hda_codec_realtek
snd_hda_intel 29576 3
snd_hda_controller 30930 1 snd_hda_intel
snd_hda_codec 121018 4 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_intel,snd_hda_controller
carl9170 86955 0
snd_hwdep 13276 1 snd_hda_codec
uvcvideo 78147 0
ath 24509 1 carl9170
snd_pcm 89214 3 snd_hda_codec,snd_hda_intel,snd_hda_controller
videobuf2_vmalloc 13485 1 uvcvideo
videobuf2_memops 13170 1 videobuf2_vmalloc
videobuf2_core 45571 1 uvcvideo
arc4 12509 2
snd_seq_midi 13324 0
snd_seq_midi_event 14475 1 snd_seq_midi
v4l2_common 14442 1 videobuf2_core
snd_rawmidi 25786 1 snd_seq_midi
videodev 140634 3 uvcvideo,v4l2_common,videobuf2_core
b43 404250 0
snd_seq 56978 2 snd_seq_midi_event,snd_seq_midi
bcma 47124 1 b43
coretemp 13358 0
snd_seq_device 14451 3 snd_seq,snd_rawmidi,snd_seq_midi
mac80211 643092 2 b43,carl9170
snd_timer 29036 2 snd_pcm,snd_seq
media 21127 2 uvcvideo,videodev
joydev 17311 0
serio_raw 13251 0
snd 67102 16 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device
lpc_ich 17000 0
cfg80211 462008 4 b43,ath,mac80211,carl9170
rfcomm 59314 8
btusb 31907 0
bnep 19107 2
bluetooth 444619 22 bnep,btusb,rfcomm
soundcore 14635 2 snd,snd_hda_codec
shpchp 32280 0
ideapad_laptop 18132 0
sparse_keymap 13658 1 ideapad_laptop
mac_hid 13099 0
parport_pc 32154 0
ppdev 17423 0
lp 13359 0
parport 40945 3 lp,ppdev,parport_pc
ums_realtek 18008 0
uas 22257 0
usb_storage 57197 2 uas,ums_realtek
i915 956578 3
i2c_algo_bit 13316 1 i915
drm_kms_helper 106489 1 i915
tg3 159805 0
psmouse 106642 0
drm 276577 5 i915,drm_kms_helper
ptp 18938 1 tg3
pps_core 18768 1 ptp
pata_acpi 12901 0
ssb 56722 1 b43
video 20019 1 ...

Read more...

tags: added: kernel-fixed-upstream
tags: removed: kernel-fixed-upstream
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers